<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'Branches',
});
</script>

<template>
  <div ref="branches" class="branches">
    <nuxt-img
      loading="lazy"
      src="/nuxt-images/developer-survey/branches.png"
      alt="branches"
    />
  </div>
</template>

<style lang="scss" scoped>
.branches {
  transition: all 0.3s ease;
  mix-blend-mode: color-dodge;
  position: absolute;
  width: 63%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  img {
    width: 100%;
    mix-blend-mode: color-dodge;
  }
}
svg {
  width: 100%;
  height: 100%;
}

@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}
</style>
